Returns a list of conversations requested by a specific user.

Deprecated

GET
/v1/users/{userId}/requested_conversations

Authorization

headerAuthorization<token>

Path Parameters

userId*string

Id of the requester

Query Parameters

limit?integer

Maximum number of items per page. With upper bound set to 200.

Rangevalue <= 200

Response Body

A JSON array of conversations

application/json
  1. response
data*array<>
paging?
curl -X GET 'https://example.com/v1/users/{userId}/requested_conversations' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": 0,
"created_at": "2015-11-30T00:00:00:000Z",
"requester_id": "string",
"channel": "widget_chat",
"direction": "outbound",
"queued_at": "2015-11-30T00:00:00:000Z",
"queue_id": "string",
"status": "open",
"status_updated_at": "2015-11-30T00:00:00:000Z",
"attributes": {},
"assigned_to": "string",
"assigned_at": "2015-11-30T00:00:00:000Z"
}
],
"paging": {
"cursors": {
"after": "string",
"before": "string"
},
"next_page": "string",
"prev_page": "string"
}
}